﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="Model.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Predmeti">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Naziv" Type="nchar" MaxLength="30" Nullable="false" />
        </EntityType>
        <EntityType Name="PredmetiStudenti">
          <Key>
            <PropertyRef Name="IdPredmeta" />
            <PropertyRef Name="IdStudenta" />
          </Key>
          <Property Name="IdPredmeta" Type="int" Nullable="false" />
          <Property Name="IdStudenta" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Studenti">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Ime" Type="nchar" MaxLength="20" Nullable="false" />
          <Property Name="Prezime" Type="nchar" MaxLength="20" Nullable="false" />
        </EntityType>
        <Association Name="FK_PredmetiStudenti_Predmeti">
          <End Role="Predmeti" Type="Self.Predmeti" Multiplicity="1" />
          <End Role="PredmetiStudenti" Type="Self.PredmetiStudenti" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Predmeti">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="PredmetiStudenti">
              <PropertyRef Name="IdPredmeta" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PredmetiStudenti_Studenti">
          <End Role="Studenti" Type="Self.Studenti" Multiplicity="1" />
          <End Role="PredmetiStudenti" Type="Self.PredmetiStudenti" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Studenti">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="PredmetiStudenti">
              <PropertyRef Name="IdStudenta" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="ModelStoreContainer">
          <EntitySet Name="Predmeti" EntityType="Self.Predmeti" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="PredmetiStudenti" EntityType="Self.PredmetiStudenti" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Studenti" EntityType="Self.Studenti" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_PredmetiStudenti_Predmeti" Association="Self.FK_PredmetiStudenti_Predmeti">
            <End Role="Predmeti" EntitySet="Predmeti" />
            <End Role="PredmetiStudenti" EntitySet="PredmetiStudenti" />
          </AssociationSet>
          <AssociationSet Name="FK_PredmetiStudenti_Studenti" Association="Self.FK_PredmetiStudenti_Studenti">
            <End Role="Studenti" EntitySet="Studenti" />
            <End Role="PredmetiStudenti" EntitySet="PredmetiStudenti" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="Model" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Predmeti">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Naziv" Type="String" MaxLength="30" FixedLength="true" Unicode="true" Nullable="false" />
          <NavigationProperty Name="Studentis" Relationship="Self.PredmetiStudenti" FromRole="Predmeti" ToRole="Studenti" />
        </EntityType>
        <EntityType Name="Studenti">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Ime" Type="String" MaxLength="20" FixedLength="true" Unicode="true" Nullable="false" />
          <Property Name="Prezime" Type="String" MaxLength="20" FixedLength="true" Unicode="true" Nullable="false" />
          <NavigationProperty Name="Predmetis" Relationship="Self.PredmetiStudenti" FromRole="Studenti" ToRole="Predmeti" />
        </EntityType>
        <Association Name="PredmetiStudenti">
          <End Role="Predmeti" Type="Self.Predmeti" Multiplicity="*" />
          <End Role="Studenti" Type="Self.Studenti" Multiplicity="*" />
        </Association>
        <EntityContainer Name="Entities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Predmetis" EntityType="Self.Predmeti" />
          <EntitySet Name="Studentis" EntityType="Self.Studenti" />
          <AssociationSet Name="PredmetiStudenti" Association="Self.PredmetiStudenti">
            <End Role="Predmeti" EntitySet="Predmetis" />
            <End Role="Studenti" EntitySet="Studentis" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="ModelStoreContainer" CdmEntityContainer="Entities">
          <EntitySetMapping Name="Predmetis">
            <EntityTypeMapping TypeName="Model.Predmeti">
              <MappingFragment StoreEntitySet="Predmeti">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Naziv" ColumnName="Naziv" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Studentis">
            <EntityTypeMapping TypeName="Model.Studenti">
              <MappingFragment StoreEntitySet="Studenti">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Ime" ColumnName="Ime" />
                <ScalarProperty Name="Prezime" ColumnName="Prezime" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <AssociationSetMapping Name="PredmetiStudenti" TypeName="Model.PredmetiStudenti" StoreEntitySet="PredmetiStudenti">
            <EndProperty Name="Predmeti">
              <ScalarProperty Name="Id" ColumnName="IdPredmeta" />
            </EndProperty>
            <EndProperty Name="Studenti">
              <ScalarProperty Name="Id" ColumnName="IdStudenta" />
            </EndProperty>
          </AssociationSetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>